body {
    overflow: hidden;
}

img {
    position: absolute;
    width: 120px;
}

      

@-webkit-keyframes fish1 {
    0% {
        top: 480px;
        left: -130vw;
        transform: rotate(110deg);
    }

    20% {
        top: 480px;
        left: 30vw;
        transform: rotate(110deg); 
    }

    40% {
        top: 480px;
        left: 60vw;
        transform: rotate(110deg); 
    }

    60% {
        top: 480px;
        left: 80vw;
        transform: rotate(110deg); 
    }

    80% {
        top: 480px;
        left: 85vw;
        transform: rotate(110deg); 
    }

    100% {
        top: 480px;
        left: 450vw; 
        transform: rotate(110deg);         
    }
}

#fish1 {
    top: 50vh;
    -webkit-animation-name: fish1; 
    -webkit-animation-duration: 20s; 
    -webkit-animation-iteration-count: infinite; 
}

@-webkit-keyframes fish3 {
    0% {
        top: 520px;
        left: -30vw;
        opacity: 0.8;
        transform: rotate(270deg);
    }

    20% {
        top: 520px;
        left: 33vw;
        opacity: 0.8;        
        transform: rotate(270deg); 
    }

    40% {
        top: 520px;
        left: 50vw;
        opacity: 0.8;
        transform: rotate(270deg); 
    }

    60% {
        top: 520px;
        left: 85vw;
        opacity: 0.8;
        transform: rotate(270deg); 
    }

    80% {
        top: 520px;
        left: 90vw;
        opacity: 0.8;        
        transform: rotate(270deg); 
    }

    100% {
        top: 520px;
        left: 100vw;
        opacity: 0.8;        
        transform: rotate(270deg);  
    }
}
#fish3 {
    top: 65vh;
    width: 110px
    -webkit-animation-transform: rotate(0deg); 
    -webkit-animation-name: fish3; 
    -webkit-animation-direction: reverse;
    -webkit-animation-duration: 9s;
    -webkit-animation-iteration-count: infinite;
}

@-webkit-keyframes fish2 {

    0% {
        left: -50px;
        transform: rotate(110deg);
    }

    25% {
        left: 420px;
        transform: rotate(110deg);
    }

    50% {
        left: 920px;
        transform: rotate(110deg);
    }

    75% {
        left: 1040px;
        transform: rotate(110deg);
    }

    100% { 
        left: 1500px;
        transform: rotate(110deg);
    }
}

#fish2 {
    -webkit-animation-name: fish2; 
    -webkit-animation-duration: 10s; 
    -webkit-animation-iteration-count: infinite; 
}

@-webkit-keyframes fish7 {
    0% {
        top: 300px;
        left: -30vw;
        opacity: 0.8;
        transform: rotate(-10deg);
    }

    5% {
        top: 300px;
        left: -10vw;
        opacity: 0.8;
        transform: rotate(-10deg);
    }

    10% {
        top: 300px;
        left: 10vw;
        opacity: 0.8;        
        transform: rotate(-10deg);
    }

    15% {
        top: 300px;
        left: 15vw;
        opacity: 0.8;        
        transform: rotate(-10deg);
    }

    20% {
        top: 300px;
        left: 20vw;
        opacity: 0.8;
        transform: rotate(-10deg);
    }

    25% {
        top: 300px;
        left: 25vw;
        opacity: 0.8;
        transform: rotate(-10deg);
    }

    30% {
        top: 300px;
        left: 30vw;
        opacity: 0.8;
        transform: rotate(-10deg);
    }

    35% {
        top: 300px;
        left: 35vw;
        opacity: 0.8;
        transform: rotate(-10deg);
    }

    40% {
        top: 300px;
        left: 40vw;
        opacity: 0.8;        
        transform: rotate(-10deg);
    }

    45% {
        top: 300px;
        left: 50vw;
        opacity: 0.8;        
        transform: rotate(-10deg);
    }

    50% {
        top: 300px;
        left: 60vw;
        opacity: 0.8;
        transform: rotate(-10deg);
    }

    55% {
        top: 300px;
        left: 65vw;
        opacity: 0.8;
        transform: rotate(-10deg);
    }

    60% {
        top: 300px;
        left: 70vw;
        opacity: 0.8;        
        transform: rotate(-10deg);
    }

    65% {
        top: 300px;
        left: 75vw;
        opacity: 0.8;        
        transform: rotate(-10deg);
    }

    70% {
        top: 300px;
        left: 80vw;
        opacity: 0.8;
        transform: rotate(-10deg);
    }

    75% {
        top: 300px;
        left: 85vw;
        opacity: 0.8;        
        transform: rotate(-10deg);
    }

    80% {
        top: 300px;
        left: 95vw;
        opacity: 0.8;        
        transform: rotate(-10deg);
    }  

    85% {
        top: 300px;
        left: 97vw;
        opacity: 0.8;
        transform: rotate(-10deg);
    }

    90% {
        top: 300px;
        left: 100vw;
        opacity: 0.8;        
        transform: rotate(-10deg);
    }

    95% {
        top: 300px;
        left: 108vw;
        opacity: 0.8;        
        transform: rotate(-10deg);
    }

    100% {
        top: 300px;
        left: 110vw;
        opacity: 0.8;
        transform: rotate(-10deg);
    }
}
#fish7 {
    top: 30vh;
    -webkit-animation-transform: rotate(0deg); 
    -webkit-animation-name: fish7; 
    -webkit-animation-direction: reverse;
    -webkit-animation-duration: 15s;
    -webkit-animation-iteration-count: infinite;
}

@-webkit-keyframes fish8 {
    0% {
        left: -20vw;
        transform: rotate(-10deg);
    }

    20% {
        left: 10vw;
        transform: rotate(-10deg); 
    }

    30% {
        left: 30vw;
        transform: rotate(-10deg); 
    }    

    40% {
        left: 37vw;
        transform: rotate(-10deg); 
    }

    50% {
        left: 50vw;
        transform: rotate(-10deg); 
    }

    60% {
        left: 63vw;
        transform: rotate(-10deg); 
    }

    80% {
        left: 100vw;
        transform: rotate(-10deg); 
    }

    100% {
        left: 200vw; 
        transform: rotate(-10deg); 
    }
}

#fish8 {
    top: 50vh;
    width: 330px;
    -webkit-animation-name: fish8; 
    -webkit-animation-duration: 10s; 
    -webkit-animation-iteration-count: infinite; 
}

@-webkit-keyframes fish4 {
    0% {
        top: -30px;
        transform: rotate(50deg);
    }

    20% {
        top: 60px;
        transform: rotate(50deg); 
    }

    40% {
        top: 360px;
        transform: rotate(50deg); 
    }

    60% {
        top: 580px;
        transform: rotate(50deg); 
    }

    80% {
        top: 620px;
        transform: rotate(50deg); 
    }

    100% {
        top: 830px; 
        transform: rotate(50deg);
    }
}

#fish4 {
    top: 80vh; 
    -webkit-animation-name: fish4; 
    -webkit-animation-duration: 10s; 
    -webkit-animation-iteration-count: infinite; 
}

@-webkit-keyframes fish5 {
    0% {
        top: 830px;
        left: 550px;
        transform: rotate(90deg);
    }

    20% {
        top: 700px;
        left: 550px;
        transform: rotate(90deg); 
    }

    40% {
        top: 560px;
        left: 550px;
        transform: rotate(90deg); 
    }

    50% {
        top: 420px;
        left: 550px;
        transform: rotate(90deg); 
    }

    60% {
        top: 280px;
        left: 550px;
        transform: rotate(90deg); 
    }

    80% {
        top: 150px;
        left: 550px;
        transform: rotate(90deg); 
    }

    100% {
        top: -230px; 
        left: 550px;
        transform: rotate(90deg);
    }
}

#fish5 {
    width: 280px;
    -webkit-animation-name: fish5; 
    -webkit-animation-duration: 5s; 
    -webkit-animation-iteration-count: infinite; 
}

@-webkit-keyframes fish6 {
    0% {
        top: 800px;
        transform: rotate(80deg);
    }

    10% {
        top: 700px;
        transform: rotate(80deg); 
    }

    20% {
        top: 520px;
        transform: rotate(80deg); 
    }

    60% {
        top: 100px;
        transform: rotate(80deg); 
    }

    70% {
        top: 80px;
        transform: rotate(80deg); 
    }

    100% {
        top: -130px; 
        transform: rotate(80deg);
    }
}

#fish6 {
    left: 50vh; 
    -webkit-animation-name: fish6; 
    -webkit-animation-duration: 10s; 
    -webkit-animation-iteration-count: infinite; 
}

@-webkit-keyframes fish9 {
    0% {
        top: -95px;
        left: 700px;
        transform: rotate(50deg);
    }

    10% {
        top: 180px;
        left: 700px;
        transform: rotate(50deg); 
    }

    20% {
        top: 350px;
        left: 700px;
        transform: rotate(50deg); 
    }

    40% {
        top: 450px;
        left: 700px;
        transform: rotate(50deg); 
    }

    60% {
        top: 500px;
        left: 700px;
        transform: rotate(50deg); 
    }

    70% {
        top: 600px;
        left: 700px;
        transform: rotate(50deg); 
    }

    80% {
        top: 720px;
        left: 700px;
        transform: rotate(50deg); 
    }

    100% {
        top: 830px; 
        left: 700px;
        transform: rotate(50deg);
    }
}

#fish9 {
    width: 220px;
    -webkit-animation-name: fish9; 
    -webkit-animation-duration: 15s; 
    -webkit-animation-iteration-count: infinite; 
}

@-webkit-keyframes fish10 {
    0% {
        top: 8vw;
        left: -20vw;
        opacity: 0.8;
        transform: rotate(110deg);
    }

    39% {
        top: 8vw;
        left: 47vw;
        opacity: 0.8;
        transform: rotate(110deg);
    }

    56% {
        top: 8vw;
        left: 63vw;
        opacity: 0.8;
        transform: rotate(110deg);
    }

    68% {
        top: 8vw;
        left: 78vw;
        opacity: 0.8;        
        transform: rotate(110deg);
    }

    84% {
        top: 8vw;
        left: 84vw;
        opacity: 0.8;
        transform: rotate(110deg);
    }

    100% {
        top: 8vw;
        left: 209vw;
        opacity: 0.8;
        transform: rotate(110deg);
    }
}
#fish10 {
    width: 220px;
    -webkit-animation-name: fish10; 
    -webkit-animation-direction: reverse;
    -webkit-animation-duration: 5s;
    -webkit-animation-iteration-count: infinite;
}

@-webkit-keyframes fish11 {
    0% {
        top: 830px;
        left: 200px;
        transform: rotate(90deg);
    }

    13% {
        top: 700px;
        left: 200px;
        transform: rotate(90deg); 
    }

    38% {
        top: 560px;
        left: 200px;
        transform: rotate(90deg); 
    }

    44% {
        top: 420px;
        left: 200px;
        transform: rotate(90deg); 
    }

    66% {
        top: 280px;
        left: 200px;
        transform: rotate(90deg); 
    }

    86% {
        top: 150px;
        left: 200px;
        transform: rotate(90deg); 
    }

    100% {
        top: -230px; 
        left: 200px;
        transform: rotate(90deg);
    }
}

#fish11 {
    left: 140vh; 
    width: 250px;
    -webkit-animation-name: fish11; 
    -webkit-animation-duration: 10s; 
    -webkit-animation-iteration-count: infinite; 
}

@-webkit-keyframes fish12 {
    0% {
        top: -50px;
        left: 1000px;        
        transform: rotate(48deg);
    }

    10% {
        top: 10px;
        left: 1000px;        
        transform: rotate(48deg);
    }

    20% {
        top: 130px;
        left: 1000px;
        transform: rotate(48deg); 
    }

    40% {
        top: 200px;
        left: 1000px;
        transform: rotate(48deg); 
    }

    50% {
        top: 220px;
        left: 1000px;
        transform: rotate(48deg); 
    }

    60% {
        top: 380px;
        left: 1000px;
        transform: rotate(48deg); 
    }

    80% {
        top: 450px;
        left: 1000px;
        transform: rotate(48deg); 
    }

    90% {
        top: 500px;
        left: 1000px;
        transform: rotate(48deg); 
    }

    100% {
        top: 700px; 
        left: 1000px;
        transform: rotate(48deg);
    }
}

#fish12 {
    left: 140vh; 
    width: 100px;
    -webkit-animation-name: fish12; 
    -webkit-animation-duration: 4s; 
    -webkit-animation-iteration-count: infinite; 
}
